DependencyManagerConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class DependencyManagerConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.resolve.DependencyManagerConfigurer

    class DependencyManagerConfigurer
    extends java.lang.Object

Configures the Ivy dependency manager for usage within Grails

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`DependencyManager` | `configureAether(BuildSettings buildSettings)`
`protected void` | `configureDefaultPluginResolver(java.lang.Object grailsConfig)`
`protected void` | `configureGlobalFrameworkDependencies(GrailsIvyDependencies coreDependencies, java.lang.Object grailsConfig)`
`DependencyManager` | `configureIvy(BuildSettings buildSettings)`
`protected void` | `configureRepoAuthentication(java.lang.Object grailsConfig, DependencyManager dependencyManager)`
`static DependencyManager` | `createAetherDependencyManager(BuildSettings buildSettings)`
`static IvyDependencyManager` | `createIvyDependencyManager(BuildSettings buildSettings)`
`protected groovy.lang.Closure` | `getDependencyConfig(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)`
`protected void` | `setCacheDir(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)`
`protected void` | `setCacheDir(java.lang.Object grailsConfig, DependencyManager dependencyManager)`
`void` | `setProxy(DependencyManager dependencyManager, groovy.util.ConfigObject config)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureAether

    @groovy.transform.CompileStatic
    DependencyManager configureAether(BuildSettings buildSettings)

### configureDefaultPluginResolver

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void configureDefaultPluginResolver(java.lang.Object grailsConfig)

### configureGlobalFrameworkDependencies

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void configureGlobalFrameworkDependencies(GrailsIvyDependencies coreDependencies, java.lang.Object grailsConfig)

### configureIvy

    DependencyManager configureIvy(BuildSettings buildSettings)

### configureRepoAuthentication

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void configureRepoAuthentication(java.lang.Object grailsConfig, DependencyManager dependencyManager)

### createAetherDependencyManager

    static DependencyManager createAetherDependencyManager(BuildSettings buildSettings)

### createIvyDependencyManager

    static IvyDependencyManager createIvyDependencyManager(BuildSettings buildSettings)

### getDependencyConfig

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected groovy.lang.Closure getDependencyConfig(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)

### setCacheDir

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void setCacheDir(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)

### setCacheDir

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void setCacheDir(java.lang.Object grailsConfig, DependencyManager dependencyManager)

### setProxy

    void setProxy(DependencyManager dependencyManager, groovy.util.ConfigObject config)

Groovy Documentation